curl --request POST \
--url https://api.sandbox.tesouro.com/identity/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"status": "<string>",
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"stateOrProvince": "<string>"
},
"jobTitle": "<string>",
"phoneNumber": "<string>",
"redirectUri": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"jobTitle": "<string>"
}Creates an ACTIVE or INVITED user in any organization accessible to the caller. Requires the user:write:all scope.
Token types: APP, USER | Required scopes: user:write:all
curl --request POST \
--url https://api.sandbox.tesouro.com/identity/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"status": "<string>",
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"stateOrProvince": "<string>"
},
"jobTitle": "<string>",
"phoneNumber": "<string>",
"redirectUri": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"jobTitle": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cancellation token.
Was this page helpful?